## convoy 0.2.1+bzr25

=== Makefile ===
PY=$(shell which python)

.PHONY: test
test:
	$(PY) setup.py test

.PHONY: build
build:
	$(PY) setup.py sdist

.PHONY: upload
upload:
	$(PY) setup.py sdist upload

## convoy 0.2.1%2Bbzr39

=== debian/control ===
Source: convoy
Section: python
Priority: extra
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-nose,
               python-paste,
               python-setuptools,
               python-webtest,
               python3-all,
               python3-nose,
               python3-paste,
               python3-setuptools,
               python3-webtest
Standards-Version: 3.9.6
Homepage: https://launchpad.net/convoy
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.4
XS-Testsuite: autopkgtest

Package: python-convoy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: WSGI app for loading multiple files in the same request
 Provides a WSGI application that can be hooked up to a
 generic WSGI container to create a combo loader server, for
 loading Javascript and CSS files combined into a single
 request.

Package: python3-convoy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: WSGI app for loading multiple files in the same request (Python 3)
 Provides a WSGI application that can be hooked up to a
 generic WSGI container to create a combo loader server, for
 loading Javascript and CSS files combined into a single
 request.

## convoy 0.2.1+bzr20

=== debian/changelog ===
convoy (0.2.1+bzr20-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:46:37 +0000

convoy (0.2.1+bzr20-0ubuntu1) precise; urgency=low

  * Initial Release (LP: #954481)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Thu, 08 Mar 2012 13:22:59 +0000

=== debian/control ===
Source: convoy
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python-mocker,
               python-nose,
               python-paste,
               python-setuptools
Standards-Version: 3.9.3
Homepage: https://launchpad.net/convoy

Package: python-convoy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: WSGI app for loading multiple files in the same request
 Provides a WSGI application that can be hooked up to a
 generic WSGI container to create a combo loader server, for
 loading Javascript and CSS files combined into a single
 request.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@ --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
		python$* setup.py test
endif


DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: .*[+~]bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	bzr export -r $(REV) --root=convoy-$(VER).orig \
                   convoy_$(VER).orig.tar.gz lp:convoy

## convoy 0.2.1+bzr25

=== debian/changelog ===
convoy (0.2.1+bzr25-3) unstable; urgency=low

  * Add missing autopkgtest dependencies on python-mocker and python-
    paste.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 26 May 2014 22:03:16 +0200

convoy (0.2.1+bzr25-2) unstable; urgency=medium

  * Re-add autopkgtest.
  * Force use of python_distutils now that upstream has added a
    Makefile.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 May 2014 17:50:58 +0200

convoy (0.2.1+bzr25-1) unstable; urgency=medium

  * Remove autopkgtest.
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 24 May 2014 04:55:54 +0200

convoy (0.2.1+bzr20-2) unstable; urgency=medium

  * Add autopkgtest.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 21 Apr 2014 16:06:09 +0200

convoy (0.2.1+bzr20-1) unstable; urgency=medium

  * Upload to Debian unstable. Closes: #744298
  * Bump standards version to 3.9.5.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Apr 2014 18:14:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: convoy
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
                python-all (>= 2.6.6-3~),
                python-mocker,
                python-nose,
                python-paste,
                python-setuptools
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: https://launchpad.net/convoy
+XS-Testsuite: autopkgtest
 
 Package: python-convoy
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh  $@ --with python2
+	dh  $@ --buildsystem=python_distutils --with python2
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests: testsuite
Depends: python-convoy, python-mocker, python-paste
Restrictions: allow-stderr

## convoy 0.2.1+bzr39

=== Makefile ===
PYTHON := python

# ---

dist: bin/python setup.py README
	bin/python setup.py egg_info sdist

upload: bin/python setup.py README
	bin/python setup.py egg_info sdist upload

test: bin/tox
	@bin/tox

clean:
	$(RM) -r bin build dist include lib local TAGS tags
	find . -name '*.py[co]' -print0 | xargs -r0 $(RM)
	find . -name '__pycache__' -print0 | xargs -r0 $(RM) -r
	find . -name '*.egg' -print0 | xargs -r0 $(RM) -r
	find . -name '*.egg-info' -print0 | xargs -r0 $(RM) -r
	find . -name '*~' -print0 | xargs -r0 $(RM)
	$(RM) -r .eggs .tox _trial_temp

# ---

bin/tox: bin/pip
	bin/pip install --quiet --ignore-installed tox

bin/python bin/pip:
	virtualenv --python=$(PYTHON) --quiet $(CURDIR)

# ---

.PHONY: dist upload test clean

=== debian/changelog ===
convoy (0.2.1+bzr39-1ubuntu3) focal; urgency=medium

  * Stop building the python2 package.
  * Remove the autopkg tests, Python2 only.
  * Bump debhelper to v9.
  * Build using pybuild.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2020 20:59:07 +0100

convoy (0.2.1+bzr39-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:31:52 +0000

convoy (0.2.1+bzr39-1) xenial; urgency=medium

  * New upstream snapshot.
  * Build with python3.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 12 Nov 2015 16:26:56 +0000

=== debian/control ===
Source: convoy
Section: python
Priority: extra
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-python,
               python3-all,
               python3-nose,
               python3-paste,
               python3-setuptools,
               python3-webtest
Standards-Version: 3.9.6
Homepage: https://launchpad.net/convoy

Package: python3-convoy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: WSGI app for loading multiple files in the same request (Python 3)
 Provides a WSGI application that can be hooked up to a
 generic WSGI container to create a combo loader server, for
 loading Javascript and CSS files combined into a single
 request.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,22 @@
 #!/usr/bin/make -f
+export PYBUILD_NAME=convoy
+
+PY3VERS := $(shell py3versions -r)
 
 %:
-	dh  $@ --buildsystem=python_distutils --with python2
+	dh  $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_install:
+	dh_auto_install
+	set -ex; for python in $(PY3VERS); do \
+		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
+	done
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-		python$* setup.py test
+		set -ex; for python in $(PY3VERS); do \
+			$$python setup.py test; \
+		done
 endif

## convoy 0.4.4~bzr39+lp36~ubuntu12.04.1

=== debian/changelog ===
convoy (0.4.4~bzr39+lp36~ubuntu12.04.1) stretch; urgency=low

  * Auto build.

 -- Launchpad Package Builder <noreply@launchpad.net>  Sat, 30 Sep 2017 01:14:36 +0000

convoy (0.4.4+bzr39-0lp4) xenial; urgency=medium

  * CONVOY_ROOT comes from the request environment under mod_wsgi.  Adjust
    the previous change so that it copes with both mod_wsgi and gunicorn.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Sep 2017 21:12:49 -0400

convoy (0.4.4+bzr39-0lp3) xenial; urgency=medium

  * Fix CONVOY_ROOT handling in convoy.wsgi: this must come from the process
    environment, not the request environment.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Sep 2017 12:24:23 +0100

convoy (0.4.4+bzr39-0lp2) precise; urgency=medium

  * Install symlinks on the Python module path to
    /usr/share/convoy/convoy.wsgi, so that it is importable as convoy.wsgi.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 18 Feb 2017 13:38:43 +0000

convoy (0.4.4+bzr39-0lp1) precise; urgency=medium

  * New upstream snapshot.
  * Rebase packaging on Landscape's to avoid python-support.
    Remaining changes:
    - Install LP's /usr/share/convoy/convoy.wsgi.
    - Drop default no-op maintainer scripts.

 -- William Grant <wgrant@ubuntu.com>  Mon, 14 Nov 2016 18:49:22 +1100

convoy (0.2.4-0~bzr26ubuntu1) oneiric; urgency=low

  * Fix binary package build to use distutils, not the Makefile.
  * Rename binary package to python-convoy.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 26 Apr 2012 09:58:11 +1000

convoy (0.2.4-0~bzr23ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 24 Apr 2012 11:30:25 +1000

convoy (0.2.1-0~bzr17) oneiric; urgency=low

  * New upstream release.

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 27 Jan 2012 15:01:09 +1100

convoy (0.2.0-0ubuntu1~precise1) precise; urgency=low

  * Initial Release.

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 20 Jan 2012 14:24:05 +1100

=== debian/control ===
Source: convoy
Section: python
Priority: extra
Maintainer: Launchpad Developers <launchpad-dev@lists.launchpad.net>
Build-Depends: debhelper (>= 7), python-paste, python-mocker,
 python-webtest, python-nose, python-setuptools
Standards-Version: 3.8.3
Homepage: https://launchpad.net/convoy

Package: python-convoy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-cssutils
Description: A combo loader WSGI application
 Provides a WSGI application that can be hooked up to a
 generic WSGI container to create a combo loader server, for
 loading Javascript and CSS files combined into a single
 request.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON2=$(shell pyversions -vr)

%:
	dh  $@ --buildsystem python_distutils

test-python%:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python$* setup.py test -vv
endif

override_dh_auto_test: $(PYTHON2:%=test-python%)

override_dh_link:
	set -e; for py2 in $(PYTHON2); do \
		dh_link usr/share/convoy/convoy.wsgi \
		        usr/lib/python$$py2/dist-packages/convoy/wsgi.py; \
	done
